$(call PKG_INIT_BIN, 5393)
$(PKG)_NAME_NO_HYPHEN:=$(subst -,,$(pkg))
$(PKG)_SOURCE:=$($(PKG)_NAME_NO_HYPHEN)-$($(PKG)_VERSION).tar.xz
$(PKG)_SITE:=svn@https://svn.code.sf.net/p/chan-sccp-b/code/branches/V4.1

$(PKG)_BINARY := $($(PKG)_DIR)/src/.libs/chan_sccp.so
$(PKG)_BINARY_TARGET := $($(PKG)_DEST_DIR)$(ASTERISK_MODULES_DIR)/chan_sccp.so

$(PKG)_CONFIG := $($(PKG)_DIR)/conf/sccp.conf
$(PKG)_CONFIG_TARGET := $($(PKG)_DEST_DIR)$(ASTERISK_CONFIG_DIR)/sccp.conf

$(PKG)_DEPENDS_ON += asterisk

$(PKG)_REBUILD_SUBOPTS += FREETZ_PACKAGE_ASTERISK_LOWMEMORY
$(PKG)_REBUILD_SUBOPTS += FREETZ_PACKAGE_ASTERISK_DEBUG

$(PKG)_CONFIGURE_PRE_CMDS += $(AUTORECONF)
$(PKG)_CONFIGURE_PRE_CMDS += $(call PKG_ADD_EXTRA_FLAGS,(C|LD)FLAGS)

$(PKG)_CONFIGURE_ENV += SCCP_REVISION=$(ASTERISK_CHAN_SCCP_VERSION)

$(PKG)_CONFIGURE_OPTIONS += --with-asterisk=$(ASTERISK_INSTALL_DIR_ABSOLUTE)/usr
$(PKG)_CONFIGURE_OPTIONS += --sysconfdir=/mod/etc

$(PKG)_EXTRA_CFLAGS += $(if $(FREETZ_PACKAGE_ASTERISK_DEBUG),$(ASTERISK_DEBUG_CFLAGS))

$(PKG_SOURCE_DOWNLOAD)
$(PKG_UNPACKED)
$(PKG_CONFIGURED_CONFIGURE)

$($(PKG)_BINARY): $($(PKG)_DIR)/.configured
	$(SUBMAKE) -C $(ASTERISK_CHAN_SCCP_DIR) \
		EXTRA_CFLAGS="$(ASTERISK_CHAN_SCCP_EXTRA_CFLAGS)" \
		V=1

$($(PKG)_CONFIG): $($(PKG)_DIR)/.configured
	touch $@

$($(PKG)_BINARY_TARGET): $($(PKG)_BINARY)
	$(if $(FREETZ_PACKAGE_ASTERISK_DEBUG),$(INSTALL_FILE),$(INSTALL_BINARY_STRIP))

$($(PKG)_CONFIG_TARGET): $($(PKG)_CONFIG)
	$(INSTALL_FILE)

$(pkg):

$(pkg)-precompiled: $($(PKG)_BINARY_TARGET) #$($(PKG)_CONFIG_TARGET)

$(pkg)-clean:
	-$(SUBMAKE) -C $(ASTERISK_CHAN_SCCP_DIR) clean

$(pkg)-uninstall:
	$(RM) $(ASTERISK_CHAN_SCCP_BINARY_TARGET) $(ASTERISK_CHAN_SCCP_CONFIG_TARGET)

$(PKG_FINISH)
