$(call PKG_INIT_LIB, 0.5)

$(PKG)_BINARY:=$($(PKG)_DIR)/$(pkg).so.$($(PKG)_VERSION)
$(PKG)_TARGET_BINARY:=$($(PKG)_DEST_LIB)/$(pkg).so.$($(PKG)_VERSION)

$(PKG)_REBUILD_SUBOPTS += FREETZ_TARGET_UCLIBC_MAJOR_VERSION
$(PKG)_REBUILD_SUBOPTS += FREETZ_TARGET_IPV6_SUPPORT
$(PKG)_REBUILD_SUBOPTS += FREETZ_LIB_libmultid_WITH_LOCAL
$(PKG)_REBUILD_SUBOPTS += FREETZ_LIB_libmultid_WITH_DNS
$(PKG)_REBUILD_SUBOPTS += FREETZ_LIB_libmultid_WITH_DHCP
$(PKG)_REBUILD_SUBOPTS += FREETZ_LIB_libmultid_WITH_LLMNR

$(PKG)_CPPFLAGS += $(if $(FREETZ_TARGET_IPV6_SUPPORT),-DD_IPV6)
$(PKG)_CPPFLAGS += $(if $(FREETZ_LIB_libmultid_WITH_LOCAL),-DD_LOCAL)
$(PKG)_CPPFLAGS += $(if $(FREETZ_LIB_libmultid_WITH_DNS),-DD_DNS)
$(PKG)_CPPFLAGS += $(if $(FREETZ_LIB_libmultid_WITH_DHCP),-DD_DHCP)
$(PKG)_CPPFLAGS += $(if $(FREETZ_LIB_libmultid_WITH_LLMNR),-DD_LLMNR)

$(PKG_LOCALSOURCE_PACKAGE)
$(PKG_CONFIGURED_NOP)

$($(PKG)_BINARY): $($(PKG)_DIR)/.configured
	$(SUBMAKE) -C $(LIBMULTID_DIR) \
		CC="$(TARGET_CC)" \
		CFLAGS="$(TARGET_CFLAGS)" \
		CPPFLAGS="$(strip $(LIBMULTID_CPPFLAGS))" \
		LIB_VERSION="$(LIBMULTID_VERSION)" \
		all

$($(PKG)_TARGET_BINARY): $($(PKG)_BINARY)
	$(INSTALL_LIBRARY_STRIP)

$(pkg):

$(pkg)-precompiled: $($(PKG)_TARGET_BINARY)

$(pkg)-clean:
	-$(SUBMAKE) -C $(LIBMULTID_DIR) clean

$(pkg)-uninstall:
	$(RM) $(LIBMULTID_DEST_LIB)/libmultid*.so*

$(PKG_FINISH)
