$(call PKG_INIT_BIN, 14.1)
$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION).tar.gz
$(PKG)_SOURCE_SHA1:=671c0d0b554643e1b58665004c65519a330766db
$(PKG)_SITE:=@SF/$(pkg)

$(PKG)_PATCH_POST_CMDS += $(call PKG_ADD_EXTRA_FLAGS,(CXX|LD)FLAGS)

$(PKG)_BINARY:=$($(PKG)_DIR)/$(pkg)
$(PKG)_TARGET_BINARY:=$($(PKG)_DEST_DIR)/usr/bin/$(pkg)

$(PKG)_DEPENDS_ON += libxml2 $(STDCXXLIB) zlib
$(PKG)_DEPENDS_ON += $(if $(FREETZ_PACKAGE_NZBGET_WITH_CURSES),ncurses)
$(PKG)_DEPENDS_ON += $(if $(FREETZ_PACKAGE_NZBGET_WITH_TLS),openssl)

$(PKG)_REBUILD_SUBOPTS += FREETZ_STDCXXLIB
$(PKG)_REBUILD_SUBOPTS += FREETZ_PACKAGE_NZBGET_WITH_CURSES
$(PKG)_REBUILD_SUBOPTS += FREETZ_PACKAGE_NZBGET_WITH_TLS
$(PKG)_REBUILD_SUBOPTS += FREETZ_PACKAGE_NZBGET_DISABLE_PAR_CHECK
$(PKG)_REBUILD_SUBOPTS += FREETZ_PACKAGE_NZBGET_STATIC

$(PKG)_CONFIGURE_ENV += LIBPREF="$(TARGET_TOOLCHAIN_STAGING_DIR)/usr"

$(PKG)_CONFIGURE_OPTIONS += $(if $(FREETZ_PACKAGE_NZBGET_WITH_CURSES),,--disable-curses)
$(PKG)_CONFIGURE_OPTIONS += $(if $(FREETZ_PACKAGE_NZBGET_WITH_TLS),--with-tlslib=OpenSSL,--disable-tls)
$(PKG)_CONFIGURE_OPTIONS += $(if $(FREETZ_PACKAGE_NZBGET_DISABLE_PAR_CHECK),--disable-parcheck,)

$(PKG_SOURCE_DOWNLOAD)
$(PKG_UNPACKED)
$(PKG_CONFIGURED_CONFIGURE)

$($(PKG)_BINARY): $(NZBGET_DIR)/.configured
	$(SUBMAKE) -C $(NZBGET_DIR) \
		EXTRA_CXXFLAGS="-fpermissive" \
		EXTRA_LDFLAGS="$(if $(FREETZ_PACKAGE_NZBGET_STATIC),-static)"

$($(PKG)_TARGET_BINARY): $($(PKG)_BINARY)
	$(INSTALL_BINARY_STRIP)

$(pkg):

$(pkg)-precompiled: $($(PKG)_TARGET_BINARY)

$(pkg)-clean:
	-$(SUBMAKE) -C $(NZBGET_DIR) clean
	$(RM) $(NZBGET_DIR)/.configured

$(pkg)-uninstall:
	$(RM) $(NZBGET_TARGET_BINARY)

$(PKG_FINISH)
