LZMA2_HOST_VERSION:=5.2.4
LZMA2_HOST_SOURCE:=xz-$(LZMA2_HOST_VERSION).tar.xz
LZMA2_HOST_SOURCE_MD5:=003e4d0b1b1899fc6e3000b24feddf7c
LZMA2_HOST_SITE:=http://tukaani.org/xz

LZMA2_HOST_DIR:=$(TOOLS_SOURCE_DIR)/xz-$(LZMA2_HOST_VERSION)
LZMA2_HOST_MAKE_DIR:=$(TOOLS_DIR)/make/lzma2-host

LZMA2_HOST_ALONE_DIR:=$(LZMA2_HOST_DIR)/src/xz
LZMA2_HOST_LIB_DIR:=$(LZMA2_HOST_DIR)/src/liblzma/.libs

lzma2-host-source: $(DL_DIR)/$(LZMA2_HOST_SOURCE)
$(DL_DIR)/$(LZMA2_HOST_SOURCE): | $(DL_DIR)
	$(DL_TOOL) $(DL_DIR) $(LZMA2_HOST_SOURCE) $(LZMA2_HOST_SITE) $(LZMA2_HOST_SOURCE_MD5)

lzma2-host-unpacked: $(LZMA2_HOST_DIR)/.unpacked
$(LZMA2_HOST_DIR)/.unpacked: $(DL_DIR)/$(LZMA2_HOST_SOURCE) | $(TOOLS_SOURCE_DIR) $(UNPACK_TARBALL_PREREQUISITES)
	mkdir -p $(LZMA2_HOST_DIR)
	$(call UNPACK_TARBALL,$(DL_DIR)/$(LZMA2_HOST_SOURCE),$(TOOLS_SOURCE_DIR))
	$(call APPLY_PATCHES,$(LZMA2_HOST_MAKE_DIR)/patches/$(LZMA2_HOST_VERSION),$(LZMA2_HOST_DIR))
	touch $@

$(LZMA2_HOST_DIR)/.configured: $(LZMA2_HOST_DIR)/.unpacked
	(cd $(LZMA2_HOST_DIR); ./configure \
		--enable-encoders=lzma1,lzma2,delta \
		--enable-decoders=lzma1,lzma2,delta \
		--disable-lzmadec \
		--disable-lzmainfo \
		--disable-lzma-links \
		--disable-scripts \
		--disable-doc \
		--disable-nls \
		--disable-rpath \
		--enable-shared=no \
		--enable-static=yes \
		--without-libiconv-prefix \
		--without-libintl-prefix \
	);
	touch $@

$(LZMA2_HOST_LIB_DIR)/liblzma.a $(LZMA2_HOST_ALONE_DIR)/xz: $(LZMA2_HOST_DIR)/.configured
	$(MAKE) -C $(LZMA2_HOST_DIR)

$(LZMA2_HOST_DIR)/liblzma.a: $(LZMA2_HOST_LIB_DIR)/liblzma.a
	$(INSTALL_FILE)

$(TOOLS_DIR)/xz: $(LZMA2_HOST_ALONE_DIR)/xz
	$(INSTALL_FILE)

lzma2-host: $(LZMA2_HOST_DIR)/liblzma.a $(TOOLS_DIR)/xz

lzma2-host-clean:
	-$(MAKE) -C $(LZMA2_HOST_DIR) clean
	$(RM) $(LZMA2_HOST_DIR)/liblzma.a

lzma2-host-dirclean:
	$(RM) -r $(LZMA2_HOST_DIR)

lzma2-host-distclean: lzma2-host-dirclean
	$(RM) $(TOOLS_DIR)/xz
